import request from '@/plugin/axios'

//查询列表
export function getPageList(data) {
    return request({
        url:'/callerList/getCallerTypeByPage',
        method:'post',
        data
    })
}

//区域下拉
export function areaPullDown(data) {
    return request({
        url:'/callerCard/getEquipmentPullDown',
        method:'post',
        data
    })
}

//区域设备列表
export function equipmentList(data) {
    return request({
        url:'/callerCard/getEquipmentLiset',
        method:'post',
        data
    })
}

//新增和修改
export function saveOrUpdataList(data) {
    return request({
        url: '/callerList/saveOrUpdCallerList',
        method: 'post',
        data
    })
}

//删除
export function deleteList(data) {
    return request({
        url:'/callerList/deleteCallerList',
        method:'post',
        data
    })
}

//查询详情
export function getList(data) {
    return request({
        url:'/callerList/getCallerListById',
        method:'post',
        data
    })
}

//树
export function Tree(data) {
    return request({
        url:'/tree/getUsersTrees',
        method:'post',
        data
    })
}
